:root {
	--background: #0e0e0e;
	--heading: #fff;
	--text: #d7cbbf;
	--link: #fff;
	--link-hover: #aaa;
	--button: #fff;
	--button-inverted: #000;
	--shadow: rgba(0, 0, 0, 0.3);
	
	/* Inverted */
	--background-inverted: #fff;
	--heading-inverted: #222;
	--text-inverted: #3f3730;
	--link-inverted: #000;
	--link-inverted-hover: #666;
}

/*
@keyframes fadeIn {
	0% {
		opacity: 0;
	}
	
	100% {
		opacity: 1;
	}
}


@keyframes fadeBackground {
	from {
		background: url('../images/asc_doom-crows_website-header.jpg') rgba(0, 0, 0, 1.0) no-repeat fixed;
		background-position: center center;
		background-size: cover;
		background-blend-mode: multiply;
	}
	
	to {
		background: url('../images/asc_doom-crows_website-header.jpg') rgba(0, 0, 0, 0.5) no-repeat fixed;
		background-position: center center;
		background-size: cover;
		background-blend-mode: multiply;
	}
}
*/

html {
  scroll-behavior: smooth;
}

body {
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
	background-color: var(--background);
	font-size: 16px;
	line-height: 24px;
	letter-spacing: 0.2px;
	color: var(--text);
	padding: 0px;
	margin: 0px;
}

a, a:visited {
	color: var(--link);
	text-decoration: underline;
	font-weight: normal;
}

a:hover, a:active {
	color: var(--link-hover);
	text-decoration: underline;
	font-weight: normal;
}

h1 {
	color: var(--heading);
	font-size: 36px;
	line-height: 44px;
	text-transform: uppercase;
}

h2 {
	width: 100%;
	color: var(--heading);
	font-size: 36px;
	line-height: 44px;
	padding-bottom: 4px;
	text-transform: uppercase;
}

h3 {
	color: var(--heading);
	font-size: 22px;
	line-height: 28px;
	margin-bottom: 24px;
	margin-top: 40px;
}


/* Stage */

.cover-with-image {
	background: url('../images/asc_fun_website-header.jpg') rgba(0, 0, 0, 0.5) no-repeat fixed;
	background-position: center center;
	background-size: cover;
	background-blend-mode: multiply;
	min-height: 80vh;
	text-align: center;
	margin: 0px;
	padding: 16px 32px 64px 32px;
	/*animation: fadeBackground 5s;*/
}

.cover-no-image {
	text-align: left;
	margin: 0px;
	padding: 16px 32px 0px 32px;
}

.top-navigation {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	margin-bottom: 80px;
}

.top-navigation .logo {
	padding: 24px;
	width: 50%;
	min-width: 200px;
	text-align: left;
	box-sizing: border-box;
}

.top-navigation .logo img {
	max-height: 100px;
	max-width: 100%;
}

.top-navigation .menu {
	padding: 16px;
	width: 50%;
	text-align: right;
	box-sizing: border-box;
}

.top-navigation .menu ul {
	float: right;
	margin-top: 32px;
	margin-right: 32px;
	list-style: none;
	padding-left: 0px;
	letter-spacing: 0.1em;
	display: flex;
	flex-wrap: wrap;
	gap: 16px;
}

.top-navigation .menu ul li a, .top-navigation .menu ul li a:visited {
	padding: 8px;
	font-size: 16px;
	line-height: 24px;
	font-weight: bold;
	text-transform: uppercase;
	text-decoration: none;
	cursor: pointer;
	color: var(--link);
}

.top-navigation .menu ul li a:hover, .top-navigation .menu ul li a:active {
	color: var(--link);
	border-bottom: 2px solid var(--link);
	text-decoration: none;
}

.top-navigation .menu svg {
	height: 16px;
	width: auto;
	margin: 0px 0px -2px 0px;
}

.top-navigation .menu svg, .top-navigation .menu svg:visited {
	fill: var(--button);
	text-decoration: none;
}

.teaser {
	width: 100%;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	/*animation: fadeIn 3s;*/
}

.teaser h1 {
	color: var(--heading);
	font-size: 72px;
	line-height: 80px;
	font-weight: normal;
	text-transform: uppercase;
	letter-spacing: 0.3em;
	margin: 0px 0px 32px 0px;
}

.teaser h2 {
	color: var(--heading);
	font-size: 36px;
	line-height: 44px;
	font-weight: normal;
	text-transform: none;
	margin: 24px 0px 80px 0px;
}

.separator {
	max-width: 100px;
}


/* Buttons */

.primary-button, .secondary-button, .primary-button-inverted, .secondary-button-inverted {
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
	padding: 12px 24px 12px 24px;
	margin-top: 32px;
	border-radius: 1px;
	font-size: 14px;
	line-height: 20px;
	text-transform: uppercase;
	text-decoration: none;
	font-weight: bold;
	letter-spacing: 0.1em;
	box-sizing: border-box;
	display: inline-block;
}

.primary-button svg, .secondary-button svg, .primary-button-inverted svg, .secondary-button-inverted svg {
	width: 20px;
	height: auto;
	margin-bottom: -4px;
	margin-left: 4px;
}

.primary-button, .primary-button:visited {
	background: var(--button);
	border: 2px solid var(--button);
	color: var(--button-inverted);
	box-shadow: 0px 2px 4px var(--shadow);
	fill: var(--button-inverted);
}

.primary-button:hover, .primary-button:active {
	background: var(--button-inverted);
	border: 2px solid var(--button);
	color: var(--button);
	text-decoration: none;
	font-weight: bold;
	box-shadow: 0px 4px 8px var(--shadow);
	fill: var(--button);
}

.primary-button-inverted, .primary-button-inverted:visited {
	background: var(--button-inverted);
	border: 2px solid var(--button-inverted);
	color: var(--button);
	box-shadow: 0px 2px 4px var(--shadow);
	fill: var(--button);
}

.primary-button-inverted:hover, .primary-button-inverted:active {
	background: var(--button);
	border: 2px solid var(--button-inverted);
	color: var(--button-inverted);
	text-decoration: none;
	font-weight: bold;
	fill: var(--button-inverted);
}

.secondary-button-inverted, .secondary-button-inverted:visited {
	background: none;
	border: 2px solid var(--button-inverted);
	color: var(--button-inverted);
	fill: var(--button-inverted);
}

.secondary-button-inverted:hover, .secondary-button-inverted:active {
	border: 2px solid var(--button);
	color: var(--button);
	text-decoration: none;
	font-weight: bold;
	box-shadow: 0px 4px 8px var(--shadow);
	fill: var(--button);
}

.secondary-button, .secondary-button:visited {
	border: 2px solid var(--button);
	color: var(--button);
	fill: var(--button);
}

.secondary-button:hover, .secondary-button:active {
	background: var(--button);
	border: 2px solid var(--button);
	color: var(--button-inverted);
	text-decoration: none;
	font-weight: bold;
	fill: var(--button-inverted);
}



/* Content */

.section {
	width: 100%;
}

.section-wrapper {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
	padding: 80px 32px 80px 32px;
}

.platforms {
	width: 100%;
	text-align: center;
}

.platforms img {
	border-bottom: 2px solid transparent;
	max-width: 120px;
	margin: 16px;
}

.platforms img:hover, .platforms img:active {
	border-bottom: 2px solid #fff;
	fill: var(--link-hover);
}


#merch {
	color: var(--text-inverted);
	background: var(--background-inverted);
	text-align: center;
}

#merch h2 {
	color: var(--text-inverted);
}

#live {
	background: url('../images/ascendency-live.jpg') rgba(0, 0, 0, 0.5) no-repeat fixed;
	background-position: center center;
	background-size: cover;
	background-blend-mode: multiply;
	text-align: center;
}

#social {
	text-align: center;
}

#social svg {
	height: 32px;
	width: auto;
	margin: 0px 16px 8px 16px;
}

#social a, #social a:visited {
	fill: var(--button);
	text-decoration: none;
}

#social a:hover, #social a:active {
	border-bottom: 2px solid #fff;
}

#footer {
	font-size: 14px;
	line-height: 20px;
	padding: 16px 32px 16px 32px;
	box-sizing: border-box;
	overflow: hidden;
	text-align: left;
}

.footer-left, .footer-right {
	width: 50%;
}

.footer-left {
	float: left;
}

.footer-right {
	float: right;
	text-align: right;
}



/* Responsive */


@media (max-width: 900px) {
		
	.top-navigation .logo {
		text-align: center;
	}
	
	.cover-with-image {
		padding: 24px;
	}
	
	.cover-no-image {
		text-align: left;
		margin: 0px;
		padding: 16px 32px 0px 32px;
	}
	
	.cover-no-image .top-navigation {
		margin-bottom: 0px;
	}
	
	.top-navigation .menu ul {
		float: none;
		margin-right: auto;
		margin-left: auto;
		justify-content: center;
		display: flex;
		flex-wrap: wrap;
		gap: 24px;
	}
	
	.teaser h1 {
		font-size: 45px;
		line-height: 52px;
		margin: 0px 0px 32px 0px;
	}

	.teaser h2 {
		font-size: 32px;
		line-height: 40px;
		margin: 24px 0px 40px 0px;
	}
	
	.section-wrapper {
		padding: 56px 24px 56px 24px;
	}
	
	.top-navigation .logo, .top-navigation .menu {
		width: 100%;
		padding: 0px;
	}
	
	.hidden-on-mobile {
		display: none;
	}
	
	#listen-now img {
		max-width: 100%;
	}
	
	#social svg {
		margin: 0px 16px 24px 16px;
	}
	
	.footer-left, .footer-right {
		width: 100%;
	}
	
	#footer {
		padding: 0px 24px 16px 24px;
	}

	.footer-left {
		float: none;
		text-align: center;
	}

	.footer-right {
		margin-top: 32px;
		float: none;
		text-align: center;
	}
	
}


/* Back-to-top button */

#back-to-top {
	background: var(--button-inverted);
	width: 48px;
	height: 48px;
	color: var(--link);
	border: 1px solid var(--button);
	border-radius: 2px;
	cursor: pointer;
	display: inline-block;
	display: none;
    position: fixed;
    bottom: 24px;
    right: 24px;
	box-shadow: 0px 4px 8px var(--shadow);
}

#back-to-top svg {
	margin: 0px;
}

#back-to-top:hover {
	background: var(--button);
	color: var(--button-inverted);
	border: 1px solid var(--button-inverted);
	text-decoration: none;
}